JaxbFetchProfileElement.JaxbFetch (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbFetchProfileElement.JaxbFetch

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbFetchProfileElement.JaxbFetch

Enclosing class:
  JaxbFetchProfileElement

    public static class JaxbFetchProfileElement.JaxbFetch

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="association" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="entity" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="style" default="join">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="join"/>
                 <enumeration value="select"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `association`
`protected String` | `entity`
`protected String` | `style`

Constructor Summary
`JaxbFetchProfileElement.JaxbFetch()`

Method Summary
`String` | `getAssociation()` Gets the value of the association property.
`String` | `getEntity()` Gets the value of the entity property.
`String` | `getStyle()` Gets the value of the style property.
`void` | `setAssociation(String value)` Sets the value of the association property.
`void` | `setEntity(String value)` Sets the value of the entity property.
`void` | `setStyle(String value)` Sets the value of the style property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### association

    protected String association

### entity

    protected String entity

### style

    protected String style

Constructor Detail

### JaxbFetchProfileElement.JaxbFetch

    public JaxbFetchProfileElement.JaxbFetch()

Method Detail

### getAssociation

    public String getAssociation()

  Gets the value of the association property.

  Returns:
    possible object is `String`

### setAssociation

    public void setAssociation(String value)

  Sets the value of the association property.

  Parameters:
    `value` - allowed object is `String`

### getEntity

    public String getEntity()

  Gets the value of the entity property.

  Returns:
    possible object is `String`

### setEntity

    public void setEntity(String value)

  Sets the value of the entity property.

  Parameters:
    `value` - allowed object is `String`

### getStyle

    public String getStyle()

  Gets the value of the style property.

  Returns:
    possible object is `String`

### setStyle

    public void setStyle(String value)

  Sets the value of the style property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.